Get vendor network
curl --request GET \
--url https://api.syntage.com/entities/{entityId}/insights/metrics/vendor-network \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/entities/{entityId}/insights/metrics/vendor-network"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/entities/{entityId}/insights/metrics/vendor-network', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": "/contexts/GetVendorNetwork",
"@id": "/entities/9bd4a640-9f41-4cd5-a158-20767b386ca0/insights/metrics/vendor-network",
"@type": "hydra:Collection",
"hydra:member": [
{
"vendor": "Apple",
"totalReceived": "15928890.28",
"totalCancelledReceived": "0.00",
"percentageCancelled": "0.0000",
"receivedDiscounts": "963836.78",
"receivedCreditNotes": "897457.12",
"receivedPaymentPending": "0.00",
"netReceived": "14067696.38",
"pueReceived": "15928890.28",
"ppdReceived": "0.00",
"ppdCount": 0,
"paymentAmount": "0.00",
"collectedInInstallments": "0.0000",
"daysPayableOutstanding": "0.00"
}
],
"hydra:totalItems": 1,
"hydra:view": {
"@id": "<string>",
"@type": "hydra:PartialCollectionView",
"hydra:first": "<string>",
"hydra:next": "<string>",
"hydra:last": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}Providers
Vendor Network Insight
Vendors the entity has purchased from, with invoiced totals and cancellation rates per counterparty.
GET
/
entities
/
{entityId}
/
insights
/
metrics
/
vendor-network
Get vendor network
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Response
Success
Example:
"/entities/9bd4a640-9f41-4cd5-a158-20767b386ca0/insights/metrics/vendor-network"
Show child attributes
Show child attributes
Total number of items found
Required range:
x >= 0Example:
1
Pagination information
Show child attributes
Show child attributes
Was this page helpful?
⌘I